Tooltips
=========


Toolips is a jQuery application which allows you to simply create, style and extend tooltips.

  - Auto positioning
  - Sass Styled
  - Mutiple controls


Version
----

0.1.1 - Beta

Installation
--------------

simply install the application by including it on your html document after you include jQuery. Recomended at the bottom of your site before the closing body for better speeds.
```html
<!DOCTYPE>
<html>
    <title>My Website</title>
</html>
<body>

    <!-- Include jQuery -->
    <script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.2.18/angular.min.js"></script>
    <script src="js/tooltips.min.js" async></script>
</body>
</html>
```

Usage
----
##### Options for Tooltips

- Direction
  - top
  - bottom
  - left
  - right

- Animation
  - fadeIn
  - bounceIn

* Spacing :
*Spacing is the amount of space between the element and the tooltip*

The tooltips read the title attribute of the element, and all you need is that and the class of 'hasTooltip'.
```html
<div class="hasTooltip" title="This is my tooltip">this is a container</div>
```

This is how the tooltip works with optional changes, all the options can be found above
```html
<a href="#" class="hasTooltip" title="This is my tooltip" data-tooltip-direction="left" data-tooltip-animation="fadeIn" data-tooltip-spacing="20">hello</a>
```
ALl these are optional and will fall back to defaults.

Changing the style
----
I've used compass and sass to style this out, for purly keeping the styling neat. "sass/tooltips.scss" is where you can edit the class of .tooltip to style the tooltips however you like. The config.rb for your codekit/compass is included, so should be easy to setup.

if you're not using codekit and use terminal:
````sh
sudo compass watch
````

License
----

MIT


**Free Software, Hell Yeah! Use this, expand this, learn from this... Make this better.**
